Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class HashUtils

    java.lang.Object
      edu.stanford.smi.protege.util.HashUtils

    public final class HashUtils

extends Object

Author:
  Ray Fergerson Description of this class

Constructor Summary
`HashUtils()`

Method Summary
`static int` | `getHash(int i1, int i2)`
`static int` | `getHash(Object o1, Object o2)`
`static int` | `getHash(Object o1, Object[] oArray)`
`static int` | `getHash(Object o1, Object o2, boolean b)`
`static int` | `getHash(Object o1, Object o2, Object o3)`
`static int` | `getHash(Object o1, Object o2, Object o3, boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashUtils

    public HashUtils()

Method Detail

### getHash

    public static int getHash(Object o1,
                              Object o2)

### getHash

    public static int getHash(int i1,
                              int i2)

### getHash

    public static int getHash(Object o1,
                              Object[] oArray)

### getHash

    public static int getHash(Object o1,
                              Object o2,
                              boolean b)

### getHash

    public static int getHash(Object o1,
                              Object o2,
                              Object o3)

### getHash

    public static int getHash(Object o1,
                              Object o2,
                              Object o3,
                              boolean b)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.